## Text Encoding Initiative

### The XML Version of the TEI Guidelines

# <str>

`<str>` | (String value) provides a string value for a feature.

Attributes

(In addition to global attributes and those inherited from singleVal)

`rel` | indicates the relation of the given value to the actual value.
| Datatype: (eq|ne|sb|ns|lt|le|gt|ge)

Legal values are:

eq | indicates that the actual value is that given.
ne | indicates that the actual value is not that given.
sb | indicates that the value given is a substring of the actual value.
ns | indicates that the value given is not a substring of the actual value.
lt | indicates that the actual value is less than the given value.
le | indicates that the actual value is less than or equal to the given value.
gt | indicates that the actual value is greater than the given value.
ge | indicates that the actual value is greater than or equal to the given value.

| Default: eq
Note | The use of `rel=lt`, etc. assumes that an ordering of string values has been defined.

Example

    <str>Hello, world!</str>

Module Declared in file teifs2; Additional tag set for feature structures: enabled by TEI.fs
Class singleVal
Data Description Parsed character data.
May contain #PCDATA
May occur within f fvLib vAlt
Declaration

    <!ELEMENT str %om.RR; (#PCDATA)>
    <!ATTLIST str
          %a.global;
          rel (eq|ne|sb|ns|lt|le|gt|ge) "eq">

See further 16.4 Symbolic, Numeric, Measurement, Rate and String Values

Up: 35 Elements